// ID identifying the cluster to create. Use your username so that resources created can be tracked back to you.
cluster_id = "os4"

// Domain of the cluster. This should be "${cluster_id}.${base_domain}".
cluster_domain = "os4.flo.lss.emc.com"

// Base domain from which the cluster domain is a subdomain.
base_domain = "flo.lss.emc.com"

// Name of the vSphere server. The dev cluster is on "vcsa.vmware.devcluster.openshift.com".
vsphere_server = "*****082.lss.emc.com"

// User on the vSphere server.
vsphere_user = "administrator@vsphere.local"

// Password of the user on the vSphere server.
vsphere_password = "**********"

// Name of the vSphere cluster. The dev cluster is "devel".
vsphere_cluster = "VSE Test Cluster"

// Name of the vSphere data center. The dev cluster is "dc1".
vsphere_datacenter = "VSE Datacenter"

// Name of the vSphere data store to use for the VMs. The dev cluster uses "nvme-ds1".
vsphere_datastore = "VMAX1237DS2"

// Name of the VM template to clone to create VMs for the cluster. The dev cluster has a template named "rhcos-latest".
vm_template = "rhcos-07-2019"

// The machine_cidr where IP addresses will be assigned for cluster nodes.
// Additionally, IPAM will assign IPs based on the network ID. 
machine_cidr = "***.***.***.0/24"

// The number of control plane VMs to create. Default is 3.
control_plane_count = 3

// The number of compute VMs to create. Default is 3.
compute_count = 3

// URL of the bootstrap ignition. This needs to be publicly accessible so that the bootstrap machine can pull the ignition.
bootstrap_ignition_url = "http://*****153.lss.emc.com:58080/static/bootstrap.ign"

// Ignition config for the control plane machines. You should copy the contents of the master.ign generated by the installer.
control_plane_ignition = <<END_OF_MASTER_IGNITION
{"ignition":{"config":{"append":[{"source":"https://api-int.os4.flo.lss.emc.com:22623/config/master","verification":****
END_OF_MASTER_IGNITION

// Ignition config for the compute machines. You should copy the contents of the worker.ign generated by the installer.
compute_ignition = <<END_OF_WORKER_IGNITION
{"ignition":{"config":{"append":[{"source":"https://api-int.os4.flo.lss.emc.com:22623/config/worker","verification":{***
END_OF_WORKER_IGNITION

//vm_network = 'VM Network 144'
// Set ipam and ipam_token if you want to use the IPAM server to reserve IP
// addresses for the VMs.

// Address or hostname of the IPAM server from which to reserve IP addresses for the cluster machines.
// ipam = "139.178.89.254"

// Token to use to authenticate with the IPAM server.
// ipam_token = "TOKEN_FOR_THE_IPAM_SERVER"


// Set bootstrap_ip, control_plane_ip, and compute_ip if you want to use static
// IPs reserved someone else, rather than the IPAM server.

// The IP address to assign to the bootstrap VM.
bootstrap_ip = "***.***.***.147"

// The IP addresses to assign to the control plane VMs. The length of this list
// must match the value of control_plane_count.
control_plane_ips = ["***.***.***.165", "***.***.***.166", "***.***.***.167"]

// The IP addresses to assign to the compute VMs. The length of this list must
// match the value of compute_count.
compute_ips = ["***.***.***.120", "***.***.***.170", "***.***.***.171"]
